KDE 4.9 PyKDE API Reference

- KDE's Python API

# RGBColor Class Reference

`from PyKDE4.khtml import *`

Namespace: DOM

## Detailed Description

The RGBColor interface is used to represent any <a href="http://www.w3.org/TR/REC-CSS2/syndata.html#value-def-color"> RGB color value. This interface reflects the values in the underlying style property. Hence, modifications made through this interface modify the style property.

## Methods

| __init__ (self)
| __init__ (self, QColor c)
| __init__ (self, long color)
| __init__ (self, DOM.RGBColor other)
DOM.CSSPrimitiveValue | blue (self)
long | color (self)
DOM.CSSPrimitiveValue | green (self)
DOM.CSSPrimitiveValue | red (self)

## Method Documentation

__init__ | ( |  | self ) |

__init__ | ( | self, |
|  | QColor | c
| ) |  |  |

Deprecated:

__init__ | ( | self, |
|  | long | color
| ) |  |  |

__init__ | ( | self, |
|  | DOM.RGBColor | other
| ) |  |  |

DOM.CSSPrimitiveValue blue | ( |  | self ) |

This attribute is used for the blue value of the RGB color.

long color | ( |  | self ) |

Internal:

DOM.CSSPrimitiveValue green | ( |  | self ) |

This attribute is used for the green value of the RGB color.

DOM.CSSPrimitiveValue red | ( |  | self ) |

This attribute is used for the red value of the RGB color.